import { ThemePropsType } from "../../../constants/types/styled";
import { CustomColor } from "../../../constants/themes/colors";
export declare const Wrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
type ContentWrapperProps = {
    currentActiveChild: number;
    animationDirection: 'Right' | 'Left';
};
export declare const ContentWrapper: import("styled-components").StyledComponent<"div", any, ContentWrapperProps, never>;
export declare const DesktopArrowButton: import("styled-components").StyledComponent<"button", any, {
    arrowColor?: CustomColor | undefined;
}, never>;
export declare const BottomPaginationWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaginationDot: import("styled-components").StyledComponent<"div", any, ThemePropsType & {
    isActive: boolean;
}, never>;
export declare const MobileArrowButton: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const Hidden: import("styled-components").StyledComponent<"section", any, {}, never>;
export {};
