import React from 'react';
export type UseToggleProps = {
    length: number;
    hideLongerThan?: number;
    toggleText?: {
        open: string;
        close: string;
    };
};
export type UseToggleResponse = {
    ToggleButton: React.ReactElement;
    isOpenAtMobile: boolean;
};
export declare const useToggle: ({ length, hideLongerThan, toggleText, }: UseToggleProps) => {
    ToggleButton: React.JSX.Element;
    isOpenAtMobile: boolean;
};
